List messages in a conversation
curl --request GET \
--url https://community.dashsocial.com/conversations/instagram/{conversation_id}/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://community.dashsocial.com/conversations/instagram/{conversation_id}/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://community.dashsocial.com/conversations/instagram/{conversation_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"text": "<string>",
"attachment": {
"height": 123,
"src": "<string>",
"type": "<string>",
"width": 123
},
"brand_user_reply": {
"brand_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"resource_id": 123,
"updated_at": "2023-11-07T05:31:56Z",
"user_id": 123
},
"conversation_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"from_participant_id": 123,
"id": 123,
"instagram_created_at": "2023-11-07T05:31:56Z",
"instagram_message_id": "<string>",
"instagram_seen_at": "2023-11-07T05:31:56Z",
"is_dh_unsupported": true,
"is_fb_unsupported": true,
"reactions": [
{
"code": "<string>",
"participant_ids": [
123
],
"type": "<string>"
}
],
"send_failed": true,
"story_mention": {
"asset_url": "<string>"
},
"story_reply": {
"asset_url": "<string>"
},
"to_participant_id": 123,
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"paging": {
"count": 123,
"next": "<string>",
"previous": "<string>"
}
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}{
"code": 123,
"errors": {},
"message": "<string>",
"status": "<string>"
}Instagram Messages
List messages in a conversation
Get a paginated list of messages sorted chronologicaly most recent first.
GET
/
conversations
/
instagram
/
{conversation_id}
/
messages
List messages in a conversation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the conversation to post a message to
Required range:
x >= 0Query Parameters
Number of results to return in a single response.
The offset of the first result to be returned.
Sort of the messages.
Available options:
-CREATED_AT, CREATED_AT Fetch messages that have text
Fetch messages on or after this date.
Fetch messages on or before this date.
⌘I